Integrations-5

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
GET
GET
GET
PATCH
POST
GET
GET
POST
GET

Retrieve integrations channels

Also available via the PostHog MCP server:

  • integrations-channels-retrieveList integration channels

Required API key scopes

integration:read

Path parameters

  • id
    integer

Query parameters

  • limit
    integer
    Default: 50
  • offset
    integer
    Default: 0
  • search
    string
    Default:

Response


Example request

GET /api/projects/:project_id/integrations/:id/channels
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/channels/

Example response

Status 200
RESPONSE
{
"channels": [
{
"id": "string",
"name": "string",
"is_private": true,
"is_member": true,
"is_ext_shared": true,
"is_private_without_access": true
}
],
"lastRefreshedAt": "string",
"has_more": true
}

Retrieve integrations channels

Also available via the PostHog MCP server:

  • integrations-channels-retrieveList integration channels

Required API key scopes

integration:read

Path parameters

  • id
    integer

Query parameters

  • limit
    integer
    Default: 50
  • offset
    integer
    Default: 0
  • search
    string
    Default:

Response


Example request

GET /api/projects/:project_id/integrations/:id/channels
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/channels/

Example response

Status 200
RESPONSE
{
"channels": [
{
"id": "string",
"name": "string",
"is_private": true,
"is_member": true,
"is_ext_shared": true,
"is_private_without_access": true
}
],
"lastRefreshedAt": "string",
"has_more": true
}

List all integrations clickup lists

Path parameters

  • id
    integer

Example request

GET /api/projects/:project_id/integrations/:id/clickup_lists
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/clickup_lists/

Example response

Status 200 No response body

List all integrations clickup lists

Path parameters

  • id
    integer

Example request

GET /api/projects/:project_id/integrations/:id/clickup_lists
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/clickup_lists/

Example response

Status 200 No response body

Retrieve integrations clickup spaces

Path parameters

  • id
    integer

Example request

GET /api/projects/:project_id/integrations/:id/clickup_spaces
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/clickup_spaces/

Example response

Status 200 No response body

Retrieve integrations clickup spaces

Path parameters

  • id
    integer

Example request

GET /api/projects/:project_id/integrations/:id/clickup_spaces
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/clickup_spaces/

Example response

Status 200 No response body

Retrieve integrations clickup workspaces

Path parameters

  • id
    integer

Example request

GET /api/projects/:project_id/integrations/:id/clickup_workspaces
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/clickup_workspaces/

Example response

Status 200 No response body

Retrieve integrations clickup workspaces

Path parameters

  • id
    integer

Example request

GET /api/projects/:project_id/integrations/:id/clickup_workspaces
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/clickup_workspaces/

Example response

Status 200 No response body

Update integrations email

Path parameters

  • id
    integer

Request parameters

  • kind
  • config

Response


Example request

PATCH /api/projects/:project_id/integrations/:id/email
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/email/\
-d kind=undefined

Example response

Status 200
RESPONSE
{
"id": 0,
"kind": "anthropic",
"config": null,
"created_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"errors": "string",
"display_name": "string"
}

Update integrations email

Path parameters

  • id
    integer

Request parameters

  • kind
  • config

Response


Example request

PATCH /api/projects/:project_id/integrations/:id/email
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/email/\
-d kind=undefined

Example response

Status 200
RESPONSE
{
"id": 0,
"kind": "anthropic",
"config": null,
"created_at": "2019-08-24T14:15:22Z",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
},
"errors": "string",
"display_name": "string"
}

Create integrations email verify

Path parameters

  • id
    integer

Request parameters

  • kind
  • config

Example request

POST /api/projects/:project_id/integrations/:id/email/verify
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/email/verify/\
-d kind=undefined

Example response

Status 200 No response body

Create integrations email verify

Path parameters

  • id
    integer

Request parameters

  • kind
  • config

Example request

POST /api/projects/:project_id/integrations/:id/email/verify
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/email/verify/\
-d kind=undefined

Example response

Status 200 No response body

Retrieve integrations github branches

Required API key scopes

integration:read

Path parameters

  • id
    integer

Query parameters

  • limit
    integer
    Default: 100
  • offset
    integer
    Default: 0
  • repo
    string
  • search
    string
    Default:

Response


Example request

GET /api/projects/:project_id/integrations/:id/github_branches
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/github_branches/

Example response

Status 200
RESPONSE
{
"branches": [
"string"
],
"default_branch": "string",
"has_more": true
}

Retrieve integrations github branches

Required API key scopes

integration:read

Path parameters

  • id
    integer

Query parameters

  • limit
    integer
    Default: 100
  • offset
    integer
    Default: 0
  • repo
    string
  • search
    string
    Default:

Response


Example request

GET /api/projects/:project_id/integrations/:id/github_branches
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/github_branches/

Example response

Status 200
RESPONSE
{
"branches": [
"string"
],
"default_branch": "string",
"has_more": true
}

Retrieve integrations github repos

Required API key scopes

integration:read

Path parameters

  • id
    integer

Query parameters

  • limit
    integer
    Default: 100
  • offset
    integer
    Default: 0
  • search
    string
    Default:

Response


Example request

GET /api/projects/:project_id/integrations/:id/github_repos
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/github_repos/

Example response

Status 200
RESPONSE
{
"repositories": [
{
"id": 0,
"name": "string",
"full_name": "string"
}
],
"has_more": true
}

Retrieve integrations github repos

Required API key scopes

integration:read

Path parameters

  • id
    integer

Query parameters

  • limit
    integer
    Default: 100
  • offset
    integer
    Default: 0
  • search
    string
    Default:

Response


Example request

GET /api/projects/:project_id/integrations/:id/github_repos
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/github_repos/

Example response

Status 200
RESPONSE
{
"repositories": [
{
"id": 0,
"name": "string",
"full_name": "string"
}
],
"has_more": true
}

Create integrations github repos refresh

Required API key scopes

integration:write

Path parameters

  • id
    integer

Response


Example request

POST /api/projects/:project_id/integrations/:id/github_repos/refresh
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/github_repos/refresh/

Example response

Status 200
RESPONSE
{
"repositories": [
{
"id": 0,
"name": "string",
"full_name": "string"
}
]
}

Create integrations github repos refresh

Required API key scopes

integration:write

Path parameters

  • id
    integer

Response


Example request

POST /api/projects/:project_id/integrations/:id/github_repos/refresh
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/github_repos/refresh/

Example response

Status 200
RESPONSE
{
"repositories": [
{
"id": 0,
"name": "string",
"full_name": "string"
}
]
}

Retrieve integrations github teams

Required API key scopes

integration:read

Path parameters

  • id
    integer

Query parameters

  • limit
    integer
    Default: 100
  • offset
    integer
    Default: 0
  • search
    string
    Default:

Response


Example request

GET /api/projects/:project_id/integrations/:id/github_teams
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/github_teams/

Example response

Status 200
RESPONSE
{
"teams": [
{
"id": 0,
"slug": "string",
"name": "string"
}
],
"has_more": true
}

Retrieve integrations github teams

Required API key scopes

integration:read

Path parameters

  • id
    integer

Query parameters

  • limit
    integer
    Default: 100
  • offset
    integer
    Default: 0
  • search
    string
    Default:

Response


Example request

GET /api/projects/:project_id/integrations/:id/github_teams
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/integrations/:id/github_teams/

Example response

Status 200
RESPONSE
{
"teams": [
{
"id": 0,
"slug": "string",
"name": "string"
}
],
"has_more": true
}

Community questions

Questions about this page? or post a community question.